#
# spec file for package ibmswtpm2
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define suite ibmtss

Name:           ibmswtpm2
Version:        832
Release:        2.1
Summary:        IBM's Software TPM 2.0
License:        BSD-3-Clause
Group:          Development/Tools/Other
Url:            https://sourceforge.net/projects/ibmswtpm2
Source:         ibmtpm%{version}.tar
Patch1:         makefile.patch
Patch2:         bits.patch
# FIXME this is broken on BE - upstream is waiting for current spec testing to finish before porting
ExcludeArch:    ppc ppc64 s390 s390x
BuildRequires:  libopenssl-devel < 1.1
BuildRequires:  libopenssl-devel >= 1.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
An implementation of the TCG TPM 2.0 specification. It is based on
the TPM specification Parts 3 and 4 source code donated by Microsoft,
with additional files to complete the implementation.

This TPM emulator listens on TCP ports (default 2321 and 2322) and
saves state to the file "NVChip" in the current directory.

It is probably not of much use other than testing the IBM TSS
implementation because of this specific interface.

%prep
%setup -c -q
%patch1 -p 1
%patch2 -p 1

%build
cd src
CCFLAGS="%{optflags}" make %{?_smp_mflags}

%install
cd src
install -m 755 -D -t %{buildroot}/%{_libexecdir}/%{suite} tpm_server

%files
%defattr(-,root,root)
%dir %{_libexecdir}/%{suite}
%{_libexecdir}/%{suite}/tpm_server
%doc ibmtpm.doc

%changelog
* Tue Feb 14 2017 msuchanek@suse.com
- Drop a pointer cast hack in bits.patch. It builds without the hack.
* Wed Feb  8 2017 jengelh@inai.de
- Wrap description, drop empty scriptlets.
* Fri Jan 27 2017 msuchanek@suse.com
- Import version 832 (FATE#321601)
- bits.patch: handle some 32/64bit issues
- makefile.patch: some compiler flag adjustments
